LyX 1.2.1

Posté par . Modéré par Fabien Penso.
Tags :
0
21
août
2002
Serveurs d'affichage
La version 1.2.1 de LyX est sortie.
Pour rappel, LyX est un traitement de texte wysiwym (what you see is what you mean, selon leur propre définition), qui permet de faire du LaTeX ou du docbook de façon visuelle.
Cette version 1.2.1 est essentiellement une bugfix pour la 1.2.0 qui, elle, apportait beaucoup d'améliorations par rapport à la série 1.1.x. Parmis les améliorations de la série 1.2 la gestion des tableaux a été considérablement améliorée (ils fonctionnent enfin de façon semblable à un tableur), l'insertion de code LaTeX est plus claire et pratique, on peut configurer les flottants individuellements (click droit dans le flottant), un nouvel inset pour les minipage, et beaucoup d'autres.
Par contre il utilise toujours l'affreux xforms pour son interface graphique, il faudra attendre la version 1.3 pour avoir enfin l'indépendance de toolkit tant attendue et pouvoir choisir entre xforms qt et gtk.
Pour ceux qui utilisent toujours une version 1.1.x il est temps de mettre à jour et profiter de ces améliorations.
Pour ceux qui ne l'utilisent pas voilà une bonne occasion de l'essayer.

Aller plus loin

  • # arf

    Posté par . Évalué à 10.

    ca change du wysiwyhtg de word :) (what you see is what you hope to get )

    hop -1
    • [^] # Re: arf

      Posté par . Évalué à 10.

      Je peut essayer aussi: wysiwywgiyhiypc (what you see is what you would get if you had installed your printer correctly).
      Et un autre: wyswnbstswbae (what you see will never be seen the same way by anuyone else).
      Encore un: ygwystwha (you got what you see? that won't happen again).
      C'est marrant ce jeu ;-)
      • [^] # Re: arf

        Posté par (page perso) . Évalué à 10.

        Jouons gaiement
        wywtsnautwx(what you want to see need an update to Word Xp)
        • [^] # Re: arf

          Posté par . Évalué à 1.

          wysiwwwyts (what you see is what we want you to see)
          • [^] # Re: arf

            Posté par . Évalué à 8.

            wyniacdpac (what you need is a coup de pied au cul)
        • [^] # Re: arf

          Posté par . Évalué à 2.

          Wouarf, wouarf !

          Moi aussi, mais je l'emploi réellement (mes collègues sont gais et ont le poil soyeux) :
          wysimolwyg (What you see is more or less what you get)
  • # Cachez ces gif que je ne saurais voir !

    Posté par . Évalué à 3.

    Toutes leurs images sont en gif, mème leur logo !
    A part ça, leur tutoriel illustré est génial ! Beaucoup de projets mériteraient de s'en inspirer.
  • # C'est bien...

    Posté par . Évalué à 9.

    ... mais deux petites remarques :
    1. Les tableaux ne fonctionnent pas (et ne fonctionneront pas ) comme un tableur. Du moins si je comprends bien ce qui est dit. Jamais on ne pourra faire de calculs avec les cases. Tu dois faire toi même les calculs et remplir les cases. Par contre si tu veux dire que du point de vue de l'édition, c'est génial, alors c'est vrai, ça va bien mieux.
    2. Est-ce que la version gnome (ils ne parlent nulle part de gtk pur) sera vraiment prête pour la 1.3? La version qt2 est vraiment beaucoup plus avancée et est la référence/exemple pour les travaux de GUII. Enfin bon, pour me débarrasser de xforms, je suis prêt à me contenter de qt.

    De version en version, j'ai l'impression que le développement s'affole. De plus en plus de nouveautés sont prévues (bien sûr, pas pour ici, c'est une bugfix). Chapeau. Je ne sais pas comment ça se fait, peut-être qu'ils ont un peu peiné pour en arriver à un point où ils peuvent enfin s'en donner à coeur joie.

    Ah, et ça y est, il y a des paquets Debian non-officiels construitd par Paul Seelig ici :
    deb ftp://ntama.uni-mainz.de/pub/debian(...) unofficial/
    (en ftp, c'est ftp://ntama.uni-mainz.de/pub/debian/unofficial/binary(...)
    )
    Parce que bon, la version la plus récente en officiel, c'est une 1.1.6fix4, alors on peu attendre. Par contre, faut que je voie ce qu'il faut comme xforms.
    • [^] # Dépendances

      Posté par . Évalué à 2.

      Ah, c'est bon, c'est du libform1 qu'il faut, c'est fourni au même endroit en 1.0rc4.
    • [^] # Re: C'est bien...

      Posté par . Évalué à 2.

      1. Oui c'est de la sélection édition que je parlais, avant ça fonctionnait juste comme des paragraphes et on pouvait sélectionner que par lignes. Maintenant on peut sélectionner/copier/coller des blocs de taille quelconque. En plus le dialogue pour les tableaux s'est amélioré.

      2. Ce qui est prévu pour la 1.3 c'est que le guii soit fonctionnel, à partir de là on pourra utiliser tous les toolkit pour lesquels l'ensemble complet de l'interface aura été convertie. Xforms sera disponible et apparemment qt aussi, pour gnome il semble que ça en est trop loin et ça avance très lentement. Donc utilisateur de LyX sous Gnome votre contribution est la bienvenue!

      Ça fonctionne très bien avec xforms 0.88 (enfin, pour autant qui'on puisse dire que xforms fonctionne bien).
      • [^] # Re: C'est bien...

        Posté par . Évalué à 1.

        Por xforms, je parlais des paquets debian non-officiel. Sinon, c'est sûr, si tu compile avec n'importe quelle version, ça marche avec celle là (apparemment,ils se sont débrouillés pour garder une bonne compatibilité au niveau source)

Suivre le flux des commentaires

Note : les commentaires appartiennent à ceux qui les ont postés. Nous n'en sommes pas responsables.